
Figure - Bug #112726
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110875 (New): BSP-BVT测试-TP

【BSP】【EVT】【TP】VC1的屏幕中间部分TP坐标识别不准确，造成屏幕抖动，影响正常操作
2022-10-20 11:00 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-20

Priority: High Due date:

Assignee: CDTS_TEST 刘勇 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: 依赖客户及其供应商问题List

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221020.alpha_0038

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211160534

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 供应商更新固件

Description

【前提条件】

1、设备已开机

【测试步骤】

1、点击屏幕中间部分的应用

2、长按屏幕中间空白处

【预期结果】

1、进入应用

2、进入桌面编辑模式

【实际结果】

1、2：屏幕抖动，无法实现预期结果

History

#1 - 2022-10-20 14:30 - CD TEST-方永红

测试情况补充说明：

1：该情况为第一次刷新版本之后会概率出现，之后再重新刷该版本不能复现

2：随这时间的推移，屏幕抖动区域会慢慢变小，直到整个屏幕恢复正常（10点刷机后情况最严重，下午2点再尝试时屏幕已经恢复正常）

#2 - 2022-10-21 10:36 - CD BSP-余霄

- File vc1tp.png added

- Status changed from New to RESOLVED

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

确认目前所使用的样机为快速样机，非正式样机，待正式样机后再进行测试。

#3 - 2022-10-21 10:41 - CDTS_TEST 王成

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221130
等待客户提供正式VC1屏幕

#4 - 2022-10-28 10:07 - CDTS_TEST 王成

- Status changed from RESOLVED to NEED_INFO

#5 - 2022-10-28 10:13 - CDTS_TEST 王成

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to 依赖客户及其供应商问题List

#6 - 2022-11-07 20:59 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to CD BSP-余霄

#7 - 2022-11-08 15:15 - CD BSP-余霄

- File atmel.rar added

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

1.与供应商确认，当前屏幕非压力屏。

2.供应商更新了一版固件。

升级流程：

解压后运行

update_cfg.bat

验证升级流程：

readme.docx中的

2运行update_cfg.bat,与TP.raw(文本编辑可打开)文件中的数据对比，如果一致，表示升级成功

#8 - 2022-11-08 15:16 - CD BSP-余霄

- Status changed from NEED_INFO to RESOLVED

#9 - 2022-11-10 10:43 - CDTS_TEST 刘勇

- Assignee changed from CDTS_TEST 王成 to CDTS_TEST 刘勇

#10 - 2022-11-10 14:29 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CDTS_TEST 刘勇 to CD BSP-余霄

【HW】EVT1-VC1及快速屏、EVT2-VC1和IV2屏

【SW】

IV2屏：FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0045.X101  

快速屏： FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20221020.alpha_0038

【步骤】

1.DUT烧录UD版本（非User版本）

2.解压atmel.rar后运行update_cfg.bat

3.查看readme.docx中的

4.运行update_cfg.bat,与TP.raw(文本编辑可打开)文件中的数据对比，如果一致，表示升级成功

5.点击屏幕中间部分的应用、长按屏幕中间空白处

【实际结果】

4.升级固件成功到FC63CD

5.屏幕无抖动，可以进入应用、可以进入桌面编辑页面
【验证次数】：2次

【验证结论】当前固件升级未合入到MPU中，刷user并未进行自动升级

#11 - 2022-11-10 16:27 - CD BSP-余霄

- Status changed from VERIFY_FAILED to RESOLVED

- Assignee changed from CD BSP-余霄 to CDTS_TEST 刘勇

- Root cause set to 供应商更新固件

代码已合入，链接：

https://dev.thundercomm.com/gerrit/c/general/vendor/thundercomm/products/figure/+/161343

11号及之后版本可以验证

#12 - 2022-11-17 17:04 - CD BSP-余霄

- Resolution changed from -- to FIXED

#13 - 2022-11-17 17:07 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211160534

11.17 

根据上述测试步骤

VC1屏幕触控、坐标识别等问题有明显改善，满足日常操作

先关闭

#14 - 2022-11-17 17:07 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190122 2022-10-20 10-11-09.mp4 16 MB 2022-10-20 CD TEST-方永红

123.txt 7.29 MB 2022-10-20 CD TEST-方永红

vc1tp.png 266 KB 2022-10-21 CD BSP-余霄

atmel.rar 238 KB 2022-11-08 CD BSP-余霄
